public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Louis Sautier" <sbraz@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/python-ldap/
Date: Wed, 20 Jun 2018 21:45:23 +0000 (UTC)	[thread overview]
Message-ID: <1529531107.9d7a8fb9abca501eafe9a811f54cbb00fe1d4019.sbraz@gentoo> (raw)

commit:     9d7a8fb9abca501eafe9a811f54cbb00fe1d4019
Author:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 20 21:40:16 2018 +0000
Commit:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Wed Jun 20 21:45:07 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9d7a8fb9

dev-python/python-ldap: sync live ebuild with 3.1.0

Use the official upstream instead of the fork.

Package-Manager: Portage-2.3.40, Repoman-2.3.9

 dev-python/python-ldap/python-ldap-9999.ebuild | 97 +++++++++++++++-----------
 1 file changed, 56 insertions(+), 41 deletions(-)

diff --git a/dev-python/python-ldap/python-ldap-9999.ebuild b/dev-python/python-ldap/python-ldap-9999.ebuild
index ee6ebf08e0e..6fda6295121 100644
--- a/dev-python/python-ldap/python-ldap-9999.ebuild
+++ b/dev-python/python-ldap/python-ldap-9999.ebuild
@@ -1,9 +1,9 @@
 # Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
-PYTHON_COMPAT=( python2_7 pypy )
+PYTHON_COMPAT=( pypy{,3} python{2_7,3_{4,5,6}} )
 
 inherit distutils-r1
 
@@ -11,7 +11,7 @@ DESCRIPTION="Various LDAP-related Python modules"
 HOMEPAGE="https://www.python-ldap.org/en/latest/
 	https://pypi.org/project/python-ldap/"
 if [[ ${PV} == *9999* ]]; then
-	EGIT_REPO_URI="https://github.com/xmw/python-ldap.git"
+	EGIT_REPO_URI="https://github.com/python-ldap/python-ldap.git"
 	inherit git-r3
 else
 	SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
@@ -20,61 +20,76 @@ fi
 
 LICENSE="PSF-2"
 SLOT="0"
-IUSE="doc examples sasl ssl"
-
-# If you need support for openldap-2.3.x, please use python-ldap-2.3.9.
-# python team: Please do not remove python-ldap-2.3.9 from the tree.
-RDEPEND=">=net-nds/openldap-2.4
-	dev-python/pyasn1[${PYTHON_USEDEP}]
-	sasl? ( >=dev-libs/cyrus-sasl-2.1 )"
-DEPEND="${RDEPEND}
+IUSE="doc examples sasl ssl test"
+
+# We do not need OpenSSL, it is never directly used:
+# https://github.com/python-ldap/python-ldap/issues/224
+RDEPEND="
+	!dev-python/pyldap
+	>=dev-python/pyasn1-0.3.7[${PYTHON_USEDEP}]
+	>=dev-python/pyasn1-modules-0.1.5[${PYTHON_USEDEP}]
+	>net-nds/openldap-2.4.11:=[sasl?,ssl?]
+"
+# We do not link against cyrus-sasl but we use some
+# of its headers during the build.
+DEPEND="
+	>net-nds/openldap-2.4.11:=[sasl?,ssl?]
 	dev-python/setuptools[${PYTHON_USEDEP}]
-	doc? (
-		dev-python/sphinx[${PYTHON_USEDEP}]
-		dev-python/pyasn1-modules[${PYTHON_USEDEP}]
+	doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+	sasl? ( >=dev-libs/cyrus-sasl-2.1 )
+	test? (
+		${RDEPEND}
+		dev-python/pytest[${PYTHON_USEDEP}]
 	)
 "
-RDEPEND+=" !dev-python/pyldap"
 
 python_prepare_all() {
-	sed -e "s:^library_dirs =.*:library_dirs = /usr/$(get_libdir) /usr/$(get_libdir)/sasl2:" \
-		-e "s:^include_dirs =.*:include_dirs = ${EPREFIX}/usr/include ${EPREFIX}/usr/include/sasl:" \
-		-i setup.cfg || die "error fixing setup.cfg"
-
-	local mylibs="ldap"
-	if use sasl; then
-		use ssl && mylibs="ldap_r"
-		mylibs="${mylibs} sasl2"
-	else
-		sed -e 's/HAVE_SASL//g' -i setup.cfg || die
+	# The live ebuild won't compile if setuptools_scm < 1.16.2 is installed
+	# https://github.com/pypa/setuptools_scm/issues/228
+	if [[ ${PV} == *9999* ]]; then
+		rm -r .git || die
 	fi
-	use ssl && mylibs="${mylibs} ssl crypto"
-	use elibc_glibc && mylibs="${mylibs} resolv"
 
-	sed -e "s:^libs = .*:libs = lber ${mylibs}:" \
-		-i setup.cfg || die "error setting up libs in setup.cfg"
-
-	# set test expected to fail to expectedFailure
-	sed -e "s:^    def test_bad_urls:    @unittest.expectedFailure\n    def test_bad_urls:" \
-		-i Tests/t_ldapurl.py || die
+	if ! use sasl; then
+		sed -i 's/HAVE_SASL//g' setup.cfg || die
+	fi
+	if ! use ssl; then
+		sed -i 's/HAVE_TLS//g' setup.cfg || die
+	fi
 
 	distutils-r1_python_prepare_all
 }
 
 python_compile_all() {
-	use doc && emake -C Doc html
+	if use doc; then
+		sphinx-build Doc Doc/_build/html || die
+		HTML_DOCS=( Doc/_build/html/. )
+	fi
 }
 
 python_test() {
-	# XXX: the tests supposedly can start local slapd
-	# but it requires some manual config, it seems.
-
-	"${PYTHON}" Tests/t_ldapurl.py || die "Tests fail with ${EPYTHON}"
+	# Run all tests which don't require slapd
+	local ignored_tests=(
+		t_bind.py
+		t_cext.py
+		t_edit.py
+		t_ldapobject.py
+		t_ldap_options.py
+		t_ldap_sasl.py
+		t_ldap_schema_subentry.py
+		t_ldap_syncrepl.py
+		t_slapdobject.py
+	)
+	cd Tests || die
+	py.test	${ignored_tests[@]/#/--ignore } \
+		|| die "tests failed with ${EPYTHON}"
 }
 
 python_install_all() {
-	use examples && local EXAMPLES=( Demo/. )
-	use doc && local HTML_DOCS=( Doc/.build/html/. )
-
+	if use examples; then
+		docinto examples
+		dodoc -r Demo/.
+		docompress -x /usr/share/doc/${PF}/examples
+	fi
 	distutils-r1_python_install_all
 }


             reply	other threads:[~2018-06-20 21:45 UTC|newest]

Thread overview: 75+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-06-20 21:45 Louis Sautier [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-18 19:30 [gentoo-commits] repo/gentoo:master commit in: dev-python/python-ldap/ Michał Górny
2025-02-27 21:14 Michał Górny
2023-12-09 15:47 Michał Górny
2023-12-09 15:30 Michał Górny
2023-12-09 14:30 Michał Górny
2023-12-09 14:04 Michał Górny
2023-12-09 13:56 Michał Górny
2023-12-09 13:56 Michał Górny
2023-12-09 13:52 Michał Górny
2023-11-30 15:40 Michał Górny
2023-11-30  2:08 Sam James
2023-11-18 15:47 Michał Górny
2023-11-05 17:15 Michał Górny
2023-05-20  8:28 Michał Górny
2023-05-04 16:30 Michał Górny
2022-10-25 14:06 Michał Górny
2022-10-25 12:50 Sam James
2022-10-25  9:49 Sam James
2022-10-23  7:53 Agostino Sarubbo
2022-10-22 16:27 Arthur Zamarin
2022-09-22 12:15 Michał Górny
2022-08-12 14:09 Michał Górny
2022-08-12 10:49 Agostino Sarubbo
2022-08-10  8:04 Arthur Zamarin
2022-08-09  7:43 Agostino Sarubbo
2022-08-09  4:00 Arthur Zamarin
2022-07-07  8:26 Michał Górny
2022-06-17  6:58 Agostino Sarubbo
2022-06-16 15:46 Sam James
2022-06-16  9:41 Jakov Smolić
2022-06-16  9:37 Jakov Smolić
2022-05-14  2:52 Sam James
2022-03-26 21:47 Marek Szuba
2022-03-22 23:32 Sam James
2021-11-29 14:45 Michał Górny
2021-11-29  8:49 Agostino Sarubbo
2021-11-29  7:36 Arthur Zamarin
2021-11-29  7:36 Arthur Zamarin
2021-11-29  7:36 Arthur Zamarin
2021-11-28 23:36 Jakov Smolić
2021-11-26 21:56 Michał Górny
2021-08-08 22:20 Louis Sautier
2021-08-08 22:20 Louis Sautier
2020-11-18  9:12 Michał Górny
2020-11-17 19:17 Agostino Sarubbo
2020-11-17 19:10 Agostino Sarubbo
2020-11-17 18:55 Agostino Sarubbo
2020-11-17 18:49 Agostino Sarubbo
2020-11-16  1:15 Sam James
2020-10-31  1:36 Patrick McLean
2020-10-09 23:08 Patrick McLean
2020-08-02  9:15 Michał Górny
2020-03-28 21:11 Michał Górny
2020-03-25 15:27 Agostino Sarubbo
2020-03-25 12:36 Agostino Sarubbo
2020-03-19 22:12 David Seifert
2020-02-10 18:52 Patrick McLean
2020-02-10 18:52 Patrick McLean
2020-02-10 18:48 Patrick McLean
2019-04-13 22:41 Matthew Thode
2019-03-13 17:29 Matthew Thode
2018-11-18  9:38 Mikle Kolyada
2018-06-20 21:45 Louis Sautier
2018-06-20 21:45 Louis Sautier
2018-04-29 10:30 Michał Górny
2018-03-20 21:11 Michał Górny
2017-05-10 20:47 Manuel Rüger
2017-04-07  1:02 Manuel Rüger
2015-10-10 15:40 Justin Lecher
2015-10-09 10:04 Mike Gilbert
2015-09-28 12:12 Justin Lecher
2015-09-21 12:10 Justin Lecher
2015-08-25  4:35 Jeroen Roovers
2015-08-25  4:35 Jeroen Roovers

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1529531107.9d7a8fb9abca501eafe9a811f54cbb00fe1d4019.sbraz@gentoo \
    --to=sbraz@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox